rem LICENSE:
rem  =========================================================================
rem    CMDragons'03 RoboCup F180 Firmware Source Code Release
rem  -------------------------------------------------------------------------
rem    Copyright (C) 2003 Manuela Veloso, Brett Browning, Mike Bowling,
rem                       James Bruce; {mmv, brettb, mhb, jbruce}@cs.cmu.edu
rem    School of Computer Science, Carnegie Mellon University
rem  -------------------------------------------------------------------------
rem    This software is distributed under the GNU General Public License,
rem    version 2.  If you do not have a copy of this licence, visit
rem    www.gnu.org, or write: Free Software Foundation, 59 Temple Place,
rem    Suite 330 Boston, MA 02111-1307 USA.  This program is distributed
rem    in the hope that it will be useful, but WITHOUT ANY WARRANTY,
rem    including MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
rem  ------------------------------------------------------------------------- 

@echo off
echo building for flash...
set COPT=-iboard -imain 

if "%1" == "" goto usage
rem if "%1" == "-dRID7" goto prog7
rem goto program
rem :prog7

rem if "%2" == "-dINVMOTOR" goto program
rem goto usage2

:program

echo compiling vectors.asm...
dspa board\vectors.asm -s -v2xx
if errorlevel 1 goto err

echo compiling sci.c...
dspcl %COPT% board\sci.c -qq -v2xx -as %1 %2 %3 %4 %5 %6 
if errorlevel 1 goto err

echo compiling evx.c...
dspcl %COPT% board\evx.c -qq -v2xx -as %1 %2  %3 %4 %5 %6 
if errorlevel 1 goto err

echo compiling adc.c...
dspcl %COPT% board\adc.c -qq -v2xx -as %1 %2  %3 %4 %5 %6 
if errorlevel 1 goto err

echo compiling board.c...
dspcl %COPT% board\board.c -qq -v2xx -as %1 %2  %3 %4 %5 %6 
if errorlevel 1 goto err

echo compiling servo.c...
dspcl %COPT% main\servo.c -qq -v2xx -as %1 %2  %3 %4 %5 %6 
if errorlevel 1 goto err

echo compiling main\drive.c...
dspcl %COPT% -qq -v2xx -as %1 %2 %3 %4 %5 %6 main\drive.c 
if errorlevel 1 goto err

:linkit
echo linking...
dsplnk -c -m drive.map -o drive.out -l rtr2xx.lib -x board\vectors.obj drive.obj sci.obj evx.obj board.obj servo.obj adc.obj link\flash.cmd

goto end
:usage
echo usage: fbuild 
echo "typical usage fbuild -dRID1 [-dINVMOTOR] [-dRUNTEST] [-dUSE_CURRENT_SENSING]"
echo "where OMNIBOT is for omnibots and RIDx is the robot ID number"
goto end

:usage2
echo "programming robot 7. Requires -dINVMOTOR "
echo "usage fbuild -dRID7 -dINVMOTOR [-dRUNTEST]  [-dUSE_CURRENT_SENSING]"
echo "where OMNIBOT is for omnibots and RIDx is the robot ID number"

:err
echo !!! ERROR !!!
:end